Bug 737525 - virtualbox-qt doesn't shows up in german
virtualbox-qt doesn't shows up in german
Status: RESOLVED FIXED
: 738530 (view as bug list)
Classification: openSUSE
Product: openSUSE 12.1
Classification: openSUSE
Component: Other
Final
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: Michal Seben
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-18 08:54 UTC by Lukas Sommer
Modified: 2017-08-11 18:55 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Sommer 2011-12-18 08:54:30 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:8.0) Gecko/20100101 Firefox/8.0

I'm using german as primary language and all my applications show up in german without any problems. But virtualbox-qt doesn't. It stays in english.

However, /usr/share/virtualbox/nls/VirtualBox_de.qm comes with the package virtualbox-qt and is installed. Maybe there is a packaging error installing the localization files to a place where virtualbox-qt doesn't find them?



Reproducible: Always

Steps to Reproduce:
Start virtualbox-qt when you have all locale settings (system-wide and KDE-wide) on germen.


Actual Results:  
virtualbox-qt shows up in english.



Expected Results:  
virtualbox-qt shows up in german.
Comment 1 Kun Kun Zhang 2012-03-09 03:51:17 UTC
Long time no response.So closed.Feel free to reopen it.Thanks.
Comment 2 Lukas Sommer 2012-03-09 08:45:17 UTC
To which question should I have responded?
Comment 4 Kun Kun Zhang 2012-04-18 09:37:17 UTC
Hi,could you please help to have a look this?I am not sure whether it is right to assign it to you.Feel free to reassign it.Thank you.
Comment 5 Michal Vyskocil 2012-04-18 14:25:37 UTC
michal, can you take this bug?
Comment 6 Michal Seben 2012-04-18 20:49:38 UTC
Hi Lukas,

yes, from strace output I see that virtualbox is trying to open /usr/lib/virtualbox/nls directory:
open("/usr/lib/virtualbox/nls", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/usr/lib/virtualbox/nls", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
but we use /lib/share/virtualbox/nls for vbox translations

so yes definitely a packaging bug, i will fix it

thanks for report !
Comment 7 Michal Seben 2012-04-18 20:53:17 UTC
*** Bug 738530 has been marked as a duplicate of this bug. ***
Comment 8 Swamp Workflow Management 2012-10-10 08:08:48 UTC
openSUSE-SU-2012:1323-1: An update that solves three vulnerabilities and has two fixes is now available.

Category: security (low)
Bug References: 737525,742115,743143,761923,780711
CVE References: CVE-2011-3571,CVE-2012-0105,CVE-2012-0111
Sources used:
openSUSE 12.2 (src):    virtualbox-4.1.22-1.6.1
openSUSE 12.1 (src):    virtualbox-4.1.22-3.5.1
openSUSE 11.4 (src):    virtualbox-4.0.12-0.48.1
Comment 9 Tomáš Chvátal 2017-08-11 18:55:23 UTC
Update was released for this issue during package lifecycle. Closing.